fontSize = 10;
%% definice dat
dbmax=-5 %[dB]
dbmin=-35 %[dB]
for k=i_up:-1:i_low
for i=1:radky
eval(sprintf('obalka=OBALKY_%dHz(i,:)',Fc(1,k)))
maximum=find(obalka==0)
pocatek_obalky=max(maximum)
eval(sprintf('obalka(1,1:length(obalka)-pocatek_obalky+1)=OBALKY_%dHz(i,pocatek_obalky:length(obalka))',Fc(1,k)))

hodnotymensi=find(obalka < dbmax);
pocatek=min(hodnotymensi)
hodnotyvetsi=find(obalka > dbmin);
konec=max(hodnotyvetsi)
pokles=obalka(1,pocatek:konec)
delkapoklesu=length(pokles)
n=delkapoklesu
caszkr=delkapoklesu/fs
diftime=caszkr/delkapoklesu

t2=0:diftime:caszkr-diftime;
x=t2;

y=pokles;
%% LINEARNI REGRESE
linearCoefficients = polyfit(x, y, 1)

rt=-60/linearCoefficients(1,1);
eval(sprintf('RT30_%dHz(i,:)=rt',Fc(1,k)))

end
end

